NestedQParserPlugin (Solr 3.6.2 API)
Keywords: org.apache.solr.search.NestedQParserPlugin class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class NestedQParserPlugin

    java.lang.Object
      org.apache.solr.search.QParserPlugin
          org.apache.solr.search.NestedQParserPlugin

All Implemented Interfaces:
  NamedListInitializedPlugin

    public class NestedQParserPlugin

extends QParserPlugin

Create a nested query, with the ability of that query to redefine it's type via local parameters. This is useful in specifying defaults in configuration and letting clients indirectly reference them.
Example: `{!query defType=func v=$q1}`
if the q1 parameter is `price` then the query would be a function query on the price field.
if the q1 parameter is `{!lucene}inStock:true` then a term query is created from the lucene syntax string that matches documents with inStock=true.

Field Summary
`static String` | `NAME`

Fields inherited from class org.apache.solr.search.QParserPlugin
`DEFAULT_QTYPE, standardPlugins`

Constructor Summary
`NestedQParserPlugin()`

Method Summary
`QParser` | `createParser(String qstr, SolrParams localParams, SolrParams params, SolrQueryRequest req)` return a `QParser`
`void` | `init(NamedList args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static String NAME

Constructor Detail

### NestedQParserPlugin

    public NestedQParserPlugin()

Method Detail

### init

    public void init(NamedList args)

### createParser

    public QParser createParser(String qstr,
                                SolrParams localParams,
                                SolrParams params,
                                SolrQueryRequest req)

  Description copied from class: `QParserPlugin`
  return a `QParser`

  Specified by:
    `createParser` in class `QParserPlugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD